/*
 ============================================================================
 Name        : sinal.c
 Author      : Anderson Moreira
 E-mail		 : anderson.moreira@recife.ifpe.edu.br
 Version     : 17/06/2011
 Copyright   : 
 Description : 
 ============================================================================
 */

#include <signal.h> // definio dos sinais de interrupes
#include <stdio.h>
#include <unistd.h>


void ouch (int sig)
{
	printf("Ah, Ah, Ah-  Eu nao morro com : %d \n", sig);
	printf("Peno menos, da primeira vez. Tente denovo..\n");
	signal(SIGINT, SIG_DFL);
}

int main()
{
	(void) signal(SIGINT, ouch); // SIGINT - Terminal Interrupt
	int tempo_de_sono = 0;

	while(1) {
		printf("Popotizando o computador! Voo dormir por 1 segundo.\n");
		sleep(1);
		tempo_de_sono = tempo_de_sono + 1;
		if(tempo_de_sono >= 10)
		{
			printf("Vou me matar.\n");
			kill(getpid(),SIGKILL);
		}
	}
	return 0;
}
