/*
 ============================================================================
 Name        : sinal.c
 Author      : Anderson Moreira
 E-mail		 : anderson.moreira@recife.ifpe.edu.br
 Version     : 13/06/2011
 Copyright   : 
 Description : Sinais so eventos gerados pelo POSIX em resposta a
 	 	 	   algumas condies: erros, violao de memria,
 	 	 	   instruo ilegal, ...
 ============================================================================
 */

#include <signal.h> // definio dos sinais de interrupes
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

int  main()
{
	// o processo que vai matar

	int meu_pid=99;
	int pid_vitima=4213;

	meu_pid = getpid();

	printf( "Eu sou um programa matador de programa \n" );
	printf( "Digite o pid do processo que deve morrer: ");
	scanf( "%d", &pid_vitima);
	printf("\n Vou matar o processo %d \n", pid_vitima);

	kill(pid_vitima, SIGKILL);
	printf( "\nAgora posso morrer\n");
	exit(0);
}
