/*
 ============================================================================
 Name        : sinal.c
 Author      : Anderson Moreira
 E-mail		 : anderson.moreira@recife.ifpe.edu.br
 Version     : 17/06/2011
 Copyright   : 
 Description : utilizao do sinal ALARME
 ============================================================================
 */

#include <signal.h>
#include <unistd.h>
#include <stdio.h>

void detecao_alarme (int sig){
	printf("O sinal %d foi recebido: SIGALRM\n", sig);
}

main(){
	unsigned segundos;
	signal(SIGALRM, detecao_alarme); // interceptao do sinal
	printf("Gerando o alarme em 5s\n");
	segundos = alarm(5);
	printf("Valor retornado pela funcao alarm(): %d\n",segundos);
	printf("Vai entrar num loop infinito (CTRL-C para acabar)\n");
	while(1){
		sleep(1);
		printf("Estou num loop infinito\n");
		printf("CTRL-C para me matar\n");
   }//fim do while
}//fim do main

